kind: pipeline
type: docker
name: default

clone:
  disable: true

steps:
- name: bulid
  image: node:16
  environment:
    SSH_PRIVATE_KEY:
      from_secret: SSH_PRIVATE_KEY
  commands:
  - git clone https://git.radner.ru/anatolykopyl/anatolykopyl.ru.git
  - cd anatolykopyl.ru
  - npm install
  - npm run build
  - mkdir ~/.ssh
  - echo "$SSH_PRIVATE_KEY" > ~/.ssh/id_rsa
  - chmod 400 ~/.ssh/id_rsa
  - scp -o StrictHostKeyChecking=no -r dist/* webmaster@anatolykopyl.ru:~/www/anatolykopyl.ru
  when:
    branch:
    - master
